### Hierarchy

- BaseWebcomponent
  - Debugger

## Index

### Constructors

- constructor

### Properties

- addToHistory
- apiUrl
- base
- collapseAt
- currentItem
- data
- dataJson
- history
- historySize
- host
- isActive
- isOpen
- isRunning
- jsonLoaded
- jsonUrl
- maxLevel
- type
- viewerLabel

### Methods

- close
- componentDidLoad
- fetchJson
- handleKeyDown
- onListItemClick
- open
- pause
- pushHistory
- render
- run
- setCurrentItem
- toggle

## Constructors

### constructor

- new Debugger(): Debugger

- Overrides BaseWebcomponent.__constructor

  - Defined in debugger/debugger.tsx:30

  #### Returns Debugger

## Properties

### addToHistory

addToHistory: boolean = true

- Defined in debugger/debugger.tsx:13

### apiUrl

apiUrl: string

- Defined in debugger/debugger.tsx:24

### base

base: BaseService

Inherited from BaseWebcomponent.base

- Defined in /Users/bobstoute/BillingHouse/@ema/js-base/src/lib/base/base-webcomponent.ts:6

### collapseAt

collapseAt: number

- Defined in debugger/debugger.tsx:30

### currentItem

currentItem: any

- Defined in debugger/debugger.tsx:22

### data

data: any

- Defined in debugger/debugger.tsx:21

### dataJson

dataJson: string

- Defined in debugger/debugger.tsx:25

### history

history: any[] = []

- Defined in debugger/debugger.tsx:11

### historySize

historySize: number = 100

- Defined in debugger/debugger.tsx:28

### host

host: HTMLElement

- Defined in debugger/debugger.tsx:15

### isActive

isActive: boolean = false

- Defined in debugger/debugger.tsx:17

### isOpen

isOpen: boolean = false

- Defined in debugger/debugger.tsx:18

### isRunning

isRunning: boolean = true

- Defined in debugger/debugger.tsx:19

### jsonLoaded

jsonLoaded: boolean = false

- Defined in debugger/debugger.tsx:20

### jsonUrl

jsonUrl: string

- Defined in debugger/debugger.tsx:26

### maxLevel

maxLevel: number

- Defined in debugger/debugger.tsx:29

### type

type: string = "uaas"

- Defined in debugger/debugger.tsx:27

### viewerLabel

viewerLabel: string = "Select a route to inspect"

- Defined in debugger/debugger.tsx:12

## Methods

### close

- close(): void

- - Defined in debugger/debugger.tsx:113

  #### Returns void

### componentDidLoad

- componentDidLoad(): void

- - Defined in debugger/debugger.tsx:36

  #### Returns void

### fetchJson

- fetchJson(url: string): Promise<any>

- Inherited from BaseWebcomponent.fetchJson

  - Defined in /Users/bobstoute/BillingHouse/@ema/js-base/src/lib/base/base-webcomponent.ts:12

  #### Parameters

  - ##### url: string

  #### Returns Promise<any>

### handleKeyDown

- handleKeyDown(e: any): boolean

- - Defined in debugger/debugger.tsx:79

  #### Parameters

  - ##### e: any

  #### Returns boolean

### onListItemClick

- onListItemClick(index: number, addToHistory?: boolean): void

- - Defined in debugger/debugger.tsx:69

  #### Parameters

  - ##### index: number

  - ##### Default value addToHistory: boolean = false

  #### Returns void

### open

- open(): void

- - Defined in debugger/debugger.tsx:107

  #### Returns void

### pause

- pause(): void

- - Defined in debugger/debugger.tsx:130

  #### Returns void

### pushHistory

- pushHistory(value: any): void

- - Defined in debugger/debugger.tsx:95

  #### Parameters

  - ##### value: any

  #### Returns void

### render

- render(): Element

- - Defined in debugger/debugger.tsx:135

  #### Returns Element

### run

- run(): void

- - Defined in debugger/debugger.tsx:124

  #### Returns void

### setCurrentItem

- setCurrentItem(index: number, addToHistory?: boolean): void

- - Defined in debugger/debugger.tsx:44

  #### Parameters

  - ##### index: number

  - ##### Default value addToHistory: boolean = true

  #### Returns void

### toggle

- toggle(): void

- - Defined in debugger/debugger.tsx:119

  #### Returns void